The source editor should maybe not specify fixed px font sizes
Created attachment 
screenshot

Because fonts end up looking very disproportional to across operating systems relative to other elements.

I mean, just look at the screenshot :) It's pretty hideous. Nothing else in the UI specifies font sizes (afaik not even percentages, so that's the default system font size in that particular case).
